# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc商品附件启用功能验证,2293,2293-016,sit,bs
主数据平台:运营后台管理系统商品附件启用接口
"""

from common.common_func import commonFuc
import requests
import json


module = "cmdc_product"


# 对已上传商品附件进行启用操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url31")
request_body = commonFuc().get_business_data(module, "payload31")

"""
 场景: 商品附件启用功能验证
 用例名称：商品附件启用功能验证
 输出：{"success":true,"code":"200","message":"OK","data":"success","freshToken":null}
"""
# 发送请求
result = requests.get(url, params=request_body)
result = json.loads(result.content)

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict31")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
