# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包列表查询条件验证_商品详情页跳转,2264,2264-30,sit,bs
主数据平台:运营后台管理系统套包列表查询和获取套包列表getFreseniusGroup
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行套包列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload22")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取套包中商品信息和套包信息groupProductCode
product_info = result["data"]["list"][0]["products"][0]["productName"]
product_line_code = result["data"]["list"][0]["productLineCode"]
company_code = result["data"]["list"][0]["products"][0]["companyCode"]
group_product_code = result["data"]["list"][0]["products"][0]["productCode"]
group_name = result["data"]["list"][0]["groupName"]
group_material_code = result["data"]["list"][0]["products"][0]["materialCode"]
group_code = result["data"]["list"][0]["groupCode"]

# 第三步获取商品对应的套包信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url28")
request_body = commonFuc().get_business_data(module, "payload28", product_info, product_line_code, company_code,
                                             group_product_code, group_name, group_material_code)
# print(request_body)
"""

 场景:套包列表查询条件验证_商品详情页跳转
 用例名称：套包列表查询条件验证_商品详情页跳转
 输出：{"groupCode":"%s"}

"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取商品对应的groupCode
result = {"groupCode": result["data"][0]["groupCode"]}
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict28", group_code)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
