# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc产品线信息获取验证,2293,2293-020,sit,bs
主数据平台:运营后台管理系统产品线信息获取接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_product"

# 获取产品线信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url29")
request_body = commonFuc().get_business_data(module, "payload29")

"""
 场景: 产品线信息获取验证
 用例名称：产品线信息获取验证
 输出：{"success":true,"code":"200","message":"OK"}
"""
# 发送请求
result = requests.get(url, json=request_body)
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict29")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
